config/routes.php
<?php
/**
 * Routes configuration
 *
 * In this file, you set up routes to your controllers and their actions.
 * Routes are very important mechanism that allows you to freely connect
 * different URLs to chosen controllers and their actions (functions).
 *
 * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
 * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
 * @link          https://cakephp.org CakePHP(tm) Project
 * @license       https://opensource.org/licenses/mit-license.php MIT License
 */
use Cake\Http\Middleware\CsrfProtectionMiddleware;
use Cake\Routing\RouteBuilder;
use Cake\Routing\Router;
use Cake\Routing\Route\DashedRoute;

/**
 * The default class to use for all routes
 *
 * The following route classes are supplied with CakePHP and are appropriate
 * to set as the default:
 *
 * - Route
 * - InflectedRoute
 * - DashedRoute
 *
 * If no call is made to `Router::defaultRouteClass()`, the class used is
 * `Route` (`Cake\Routing\Route\Route`)
 *
 * Note that `Route` does not do any inflections on URLs which will result in
 * inconsistently cased URLs when used with `:plugin`, `:controller` and
 * `:action` markers.
 *
 * Cache: Routes are cached to improve performance, check the RoutingMiddleware
 * constructor in your `src/Application.php` file to change this behavior.
 *
 */

Router::defaultRouteClass(DashedRoute::class);

Router::scope('/', function (RouteBuilder $routes) {
    // Register scoped middleware for in scopes.
    $routes->registerMiddleware('csrf', new CsrfProtectionMiddleware([
        'httpOnly' => true
    ]));

    /**
     * Apply a middleware to the current route scope.
     * Requires middleware to be registered via `Application::routes()` with `registerMiddleware()`
     */
    $routes->applyMiddleware('csrf');

    /**
     * Here, we are connecting '/' (base path) to a controller called 'Pages',
     * its action called 'display', and we pass a param to select the view file
     * to use (in this case, src/Template/Pages/home.ctp)...
     */
    $routes->connect('/', ['controller' => 'Pages', 'action' => 'home']);

    /**
     * ...and connect the rest of 'Pages' controller's URLs.
     */
    // $routes->connect('/pages/*', ['controller' => 'Pages', 'action' => 'display']);

    /**
     * Connect catchall routes for all controllers.
     *
     * Using the argument `DashedRoute`, the `fallbacks` method is a shortcut for
     *
     * ```
     * $routes->connect('/:controller', ['action' => 'index'], ['routeClass' => 'DashedRoute']);
     * $routes->connect('/:controller/:action/*', [], ['routeClass' => 'DashedRoute']);
     * ```
     *
     * Any route class can be used with this method, such as:
     * - DashedRoute
     * - InflectedRoute
     * - Route
     * - Or your own route class
     *
     * You can remove these routes once you've connected the
     * routes you want in your application.
     */
    $routes->fallbacks(DashedRoute::class);
});

/**
 * If you need a different set of middleware or none at all,
 * open new scope and define routes there.
 *
 * ```
 * Router::scope('/api', function (RouteBuilder $routes) {
 *     // No $routes->applyMiddleware() here.
 *     // Connect API actions here.
 * });
 * ```
 */
Router::prefix('Admin', function (RouteBuilder $build) {
    /*
     * Apply a middleware to the current route scope.
     * Requires middleware to be registered through `Application::routes()` with `registerMiddleware()`
     */
    // Register scoped middleware for in scopes.
    $build->registerMiddleware('csrf', new CsrfProtectionMiddleware([
        'httpOnly' => true
    ]));
    $build->applyMiddleware('csrf');

    // All build here will be prefixed with `/admin`, and
    // have the `'prefix' => 'Admin'` route element added that
    // will be required when generating URLs for these build
    $build->connect('/', ['controller' => 'Users', 'action' => 'index']);

    $build->fallbacks(DashedRoute::class);
});

src/Model/Entity/Profile.php
<?php
namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Profile Entity
 *
 * @property int $id
 * @property int $user_id
 * @property string $first_name
 * @property string $last_name
 * @property string $doc
 * @property string $position
 * @property string|null $career
 * @property int|null $health_id
 * @property int|null $layoff_id
 * @property int|null $pension_id
 * @property string|null $salary
 * @property \Cake\I18n\FrozenTime $created
 * @property \Cake\I18n\FrozenTime $modified
 * @property \Cake\I18n\FrozenTime|null $retired
 *
 * @property \App\Model\Entity\User $user
 * @property \App\Model\Entity\Health $health
 * @property \App\Model\Entity\Layoff $layoff
 * @property \App\Model\Entity\Pension $pension
 */
class Profile extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'user_id' => true,
        'first_name' => true,
        'last_name' => true,
        'doc' => true,
        'position' => true,
        'career' => true,
        'health_id' => true,
        'layoff_id' => true,
        'pension_id' => true,
        'salary' => true,
        'created' => true,
        'modified' => true,
        'retired' => true,
        'user' => true,
        'health' => true,
        'layoff' => true,
        'pension' => true,
    ];

    public function _getName()
    {
        return $this->first_name.' '.$this->last_name;
    }

    public function _getDate()
    {
        return $this->created->format('d/m/Y');
    }

    public function _getExitdate()
    {
        return ($this->retired) ? $this->retired->format('d/m/Y') : '';
    }
}

src/Model/Entity/User.php
<?php
namespace App\Model\Entity;

use Cake\Auth\DefaultPasswordHasher;
use Cake\ORM\Entity;

/**
 * User Entity
 *
 * @property int $id
 * @property int $enable
 * @property string $email
 * @property string $username
 * @property string $password
 * @property \Cake\I18n\FrozenTime $created
 * @property \Cake\I18n\FrozenTime $modified
 */
class User extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'email' => true,
        'username' => true,
        'password' => true,
        'profile' => true,
        'created' => true,
        'modified' => true,
    ];

    /**
     * Fields that are excluded from JSON versions of the entity.
     *
     * @var array
     */
    protected $_hidden = [
        'password',
    ];

    // Add this method
    protected function _setPassword($value)
    {
        if (strlen($value)) {
            $hasher = new DefaultPasswordHasher();

            return $hasher->hash($value);
        }
    }
}

src/Model/Table/UsersTable.php
<?php
namespace App\Model\Table;

use Cake\ORM\Query;
use Cake\ORM\RulesChecker;
use Cake\ORM\Table;
use Cake\Validation\Validator;

/**
 * Users Model
 *
 * @method \App\Model\Entity\User get($primaryKey, $options = [])
 * @method \App\Model\Entity\User newEntity($data = null, array $options = [])
 * @method \App\Model\Entity\User[] newEntities(array $data, array $options = [])
 * @method \App\Model\Entity\User|false save(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\User saveOrFail(\Cake\Datasource\EntityInterface $entity, $options = [])
 * @method \App\Model\Entity\User patchEntity(\Cake\Datasource\EntityInterface $entity, array $data, array $options = [])
 * @method \App\Model\Entity\User[] patchEntities($entities, array $data, array $options = [])
 * @method \App\Model\Entity\User findOrCreate($search, callable $callback = null, $options = [])
 *
 * @mixin \Cake\ORM\Behavior\TimestampBehavior
 */
class UsersTable extends Table
{
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config)
    {
        parent::initialize($config);

        $this->setTable('users');
        $this->setDisplayField('id');
        $this->setPrimaryKey('id');

        $this->hasOne('Profiles');

        $this->addBehavior('Timestamp');
    }

    /**
     * Default validation rules.
     *
     * @param \Cake\Validation\Validator $validator Validator instance.
     * @return \Cake\Validation\Validator
     */
    public function validationDefault(Validator $validator)
    {
        $validator
            ->integer('id')
            ->allowEmptyString('id', null, 'create');

        $validator
            ->email('email')
            ->requirePresence('email', 'create')
            ->notEmptyString('email');

        $validator
            ->scalar('username')
            ->maxLength('username', 255)
            ->requirePresence('username', 'create')
            ->notEmptyString('username');

        $validator
            ->scalar('password')
            ->maxLength('password', 255)
            ->requirePresence('password', 'create')
            ->notEmptyString('password');

        return $validator;
    }



    /**
     * Returns a rules checker object that will be used for validating
     * application integrity.
     *
     * @param \Cake\ORM\RulesChecker $rules The rules object to be modified.
     * @return \Cake\ORM\RulesChecker
     */
    public function buildRules(RulesChecker $rules)
    {
        $rules->add($rules->isUnique(['username']));

        return $rules;
    }
}

src/Controller/Admin/UsersController.php
<?php
namespace App\Controller\Admin;

use App\Controller\Admin\AppController;
use Cake\Event\Event;

/**
 * Users Controller
 *
 * @property \App\Model\Table\UsersTable $Users
 *
 * @method \App\Model\Entity\User[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class UsersController extends AppController
{

    public function beforeFilter(Event $event)
    {
        parent::beforeFilter($event);
        // Allow users to register and logout.
        // You should not add the "login" action to allow list. Doing so would
        // cause problems with normal functioning of AuthComponent.
        $this->Auth->allow(['logout', 'add']);

        $menu_left_active = 'users';
        $this->set(compact('menu_left_active'));
        
    }


    /**
     * Login method
     */
    public function login()
    {
        $this->viewBuilder()->setLayout('simple');

        if ($this->request->is('post')) {
            $user = $this->Auth->identify();
            if ($user) {
                $this->Auth->setUser($user);
                return $this->redirect($this->Auth->redirectUrl());
            }
            $this->Flash->error(__('Usuario y contraseña incorrectos'));
        }
    }


    /**
     *  Logout method 
     */
    public function logout()
    {
        // $this->Flash->success('You are now logged out.');
        return $this->redirect($this->Auth->logout());
    }


    



    /**
     * Index method
     *
     * @return \Cake\Http\Response|null
     */
    public function index()
    {

        $users = $this->Users->find('all', [
            'contain' => ['Profiles']
        ]);

        $this->set(compact('users'));
    }

    /**
     * View method
     *
     * @param string|null $id User id.
     * @return \Cake\Http\Response|null
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $user = $this->Users->get($id, [
            'contain' => ['Profiles' => ['Healths', 'Pensions', 'Layoffs']],
        ]);

        $this->set('user', $user);
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        
        $user = $this->Users->newEntity(null, ['associated' => ['Profiles']]);

        if ($this->request->is('post')) {
            $user = $this->Users->patchEntity($user, $this->request->getData(), ['associated' => ['Profiles']]);
            if ($this->Users->save($user)) {
                $this->Flash->success(__('Nuevo empleado añadido'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('No fue posible crear el empleado. Valida los datos'));

        }

        $healths = $this->Users->Profiles->Healths->find('list', ['order' => ['title' => 'ASC']]);
        $layoffs = $this->Users->Profiles->Layoffs->find('list', ['order' => ['title' => 'ASC']]);
        $pensions = $this->Users->Profiles->Pensions->find('list', ['order' => ['title' => 'ASC']]);

        $this->set(compact('user', 'healths', 'layoffs', 'pensions'));
    }

    /**
     * Edit method
     *
     * @param string|null $id User id.
     * @return \Cake\Http\Response|null Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $user = $this->Users->get($id, [
            'contain' => ['Profiles'],
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $user = $this->Users->patchEntity($user, $this->request->getData());
            if ($this->Users->save($user)) {
                $this->Flash->success(__('The user has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The user could not be saved. Please, try again.'));
        }
        
        $healths = $this->Users->Profiles->Healths->find('list', ['order' => ['title' => 'ASC']]);
        $layoffs = $this->Users->Profiles->Layoffs->find('list', ['order' => ['title' => 'ASC']]);
        $pensions = $this->Users->Profiles->Pensions->find('list', ['order' => ['title' => 'ASC']]);

        $this->set(compact('user', 'healths', 'layoffs', 'pensions'));
    }

    /**
     * Delete method
     *
     * @param string|null $id User id.
     * @return \Cake\Http\Response|null Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $user = $this->Users->get($id);
        if ($this->Users->delete($user)) {
            $this->Flash->warning(__('Empleado eliminado'));
        } else {
            $this->Flash->error(__('No fue posible borrar este empleado'));
        }

        return $this->redirect(['action' => 'index']);
    }
}

src/Template/Admin/Users/add.ctp
<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>

<div class="card shadow mb-4">
    <div class="card-body">
        <?= $this->Form->create($user) ?>
        <legend><?= __('Nuevo empleado') ?></legend>
        <div class="row">
            <div class="col-lg-6">
                <fieldset>
                    <?php
                        echo $this->Form->control('profile.first_name', [
                            'class' => 'form-control', 
                            'label' => __('Nombres'), 
                        ]);
                        echo $this->Form->control('profile.last_name', [
                            'class' => 'form-control', 
                            'label' => __('Apellidos'), 
                        ]);
                        echo $this->Form->control('profile.doc', [
                            'class' => 'form-control', 
                            'label' => __('Número de Documento'), 
                        ]);

                        echo $this->Form->control('email', [
                            'class' => 'form-control', 
                            'label' => __('Correo Electrónico'), 
                        ]);
                        echo $this->Form->control('username', [
                            'class' => 'form-control', 
                            'label' => __('Nombre de Usuario'), 
                        ]);
                        echo $this->Form->control('password', [
                            'class' => 'form-control', 
                            'label' => __('Contraseña'), 
                        ]);
                    ?>
                </fieldset>        
            </div>
            <div class="col-lg-6">
                <fieldset>
                    <?php
                        echo $this->Form->control('profile.position', [
                            'class' => 'form-control', 
                            'label' => __('Cargo'), 
                        ]);

                        echo $this->Form->control('profile.career', [
                            'class' => 'form-control', 
                            'label' => __('Profesión'), 
                        ]);

                        echo $this->Form->control('profile.salary', [
                            'class' => 'form-control price', 
                            'label' => __('Salario'), 
                        ]);

                        echo $this->Form->control('profile.health_id', [
                            'class' => 'form-control', 
                            'options' => $healths,
                            'label' => __('Entidad afiliada en Salud'), 
                        ]);

                        echo $this->Form->control('profile.layoff_id', [
                            'class' => 'form-control', 
                            'options' => $layoffs,
                            'label' => __('Entidad afiliada en Cesantias'), 
                        ]);

                        echo $this->Form->control('profile.pension_id', [
                            'class' => 'form-control', 
                            'options' => $pensions,
                            'label' => __('Entidad afiliada en Pensiones'), 
                        ]);
                    ?>
                </fieldset>        
            </div>
        </div>
        
        <hr> 

        <?= $this->Form->button(__('Guardar'), ['class' => 'btn btn-success']) ?>
        <?= $this->Form->end() ?>
    </div>
</div>

src/Template/Admin/Users/edit.ctp
<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>

<div class="card shadow mb-4">
    <div class="card-body">
        <?= $this->Form->create($user) ?>
        <legend><?= __('Editar empleado').': '.$user->profile->name ?></legend>
        <div class="row">
            <div class="col-lg-6">
                <fieldset>
                    <?php
                        echo $this->Form->control('profile.first_name', [
                            'class' => 'form-control', 
                            'label' => __('Nombres'), 
                        ]);
                        echo $this->Form->control('profile.last_name', [
                            'class' => 'form-control', 
                            'label' => __('Apellidos'), 
                        ]);
                        echo $this->Form->control('profile.doc', [
                            'class' => 'form-control', 
                            'label' => __('Número de Documento'), 
                        ]);

                        echo $this->Form->control('email', [
                            'class' => 'form-control', 
                            'label' => __('Correo Electrónico'), 
                        ]);
                        echo $this->Form->control('username', [
                            'class' => 'form-control', 
                            'label' => __('Nombre de Usuario'), 
                        ]);
                        echo $this->Form->control('profile.retired', [
                            'class' => 'form-control date', 
                            'type' => 'text',
                            'value' => (($user->profile->retired) ? $user->profile->retired->format('d/m/Y') : ''),
                            'label' => __('Fecha de retiro'), 
                        ]);
                    ?>
                </fieldset>        
            </div>
            <div class="col-lg-6">
                <fieldset>
                    <?php
                        echo $this->Form->control('profile.position', [
                            'class' => 'form-control', 
                            'label' => __('Cargo'), 
                        ]);

                        echo $this->Form->control('profile.career', [
                            'class' => 'form-control', 
                            'label' => __('Profesión'), 
                        ]);

                        echo $this->Form->control('profile.salary', [
                            'class' => 'form-control price', 
                            'label' => __('Salario'), 
                        ]);

                        echo $this->Form->control('profile.health_id', [
                            'class' => 'form-control', 
                            'options' => $healths,
                            'label' => __('Entidad afiliada en Salud'), 
                        ]);

                        echo $this->Form->control('profile.layoff_id', [
                            'class' => 'form-control', 
                            'options' => $layoffs,
                            'label' => __('Entidad afiliada en Cesantias'), 
                        ]);

                        echo $this->Form->control('profile.pension_id', [
                            'class' => 'form-control', 
                            'options' => $pensions,
                            'label' => __('Entidad afiliada en Pensiones'), 
                        ]);
                    ?>
                </fieldset>        
            </div>
        </div>
        
        <hr> 
        <?= $this->Html->link('Volver', ['action' => 'index'], ['class' => 'btn btn-default']); ?>
        <?= $this->Form->button(__('Guardar'), ['class' => 'btn btn-success']) ?>
        <?= $this->Form->end() ?>
    </div>
</div>

src/Template/Admin/Users/index.ctp
<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User[]|\Cake\Collection\CollectionInterface $users
 */
?>


<div class="users index large-9 medium-8 columns content">
    
    <div class="float-right">
        <?= $this->Html->link('<i class="fa fa-plus-circle"></i>'.__(' Añadir Empleado'), 
                        ['action' => 'add'], 
                        ['escape' => false, 'class' => 'btn btn-success']); ?>
    </div>
    <h1 class="h3 mb-4 text-gray-800">Empleados</h1>
    
    <table class="table table-responsive datatable">
        <thead>
            <tr>
                <th>#</th>
                <th>Documento</th>
                <th>Nombre Completo</th>
                <th>Usuario</th>
                <th>Correo</th>
                <th>Cargo</th>
                <th>Salario</th>
                <th>Fecha de Ingreso</th>
                <th>Fecha de Retiro</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($users as $user): ?>
            <tr>
                <td><?= h($user->id) ?></td>
                <td><?= h($user->profile->doc) ?></td>
                <td><?= h($user->profile->name) ?></td>
                <td><?= h($user->username) ?></td>
                <td><?= h($user->email) ?></td>
                <td><?= h($user->profile->position) ?></td>
                <td class="price"><?= floatval(h($user->profile->salary)) ?></td>
                <td><?= h($user->profile->date) ?></td>
                <td><?= h($user->profile->exitdate) ?></td>
                <td class="actions">
                    <?= $this->Html->link(__('Ver'), ['action' => 'view', $user->id], ['class' => 'btn btn-info btn-xs']) ?>
                    <?= $this->Html->link(__('Editar'), ['action' => 'edit', $user->id], ['class' => 'btn btn-success btn-xs']) ?>
                    <?= $this->Form->postLink('<i class="fas fa-trash"></i>', ['action' => 'delete', $user->id], 
                                ['confirm' => __('Está seguro de borrar el usuario: {0}?', h($user->username)), 
                                 'escape' => false, 'class' => 'btn btn-danger btn-xs']); ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

src/Template/Admin/Users/login.ctp
<?php 
  $this->assign('title', 'Iniciar sesión');

 ?>
<div class="container">

  <!-- Outer Row -->
  <div class="row justify-content-center">

    <div class="col-xl-10 col-lg-12 col-md-9">

      <div class="card o-hidden border-0 shadow-lg my-5">
        <div class="card-body p-0">
          <!-- Nested Row within Card Body -->
          <div class="row">
            <div class="col-lg-6 d-none d-lg-block bg-login-image"></div>
            <div class="col-lg-6">
              <div class="p-5">
                <div class="text-center">
                  <h1 class="h4 text-gray-900 mb-4">i4Digital!</h1>
                  <p>Accesos Prueba técnica: </p>
                  <p><b>Usuario:</b> admin <br>
                  <b>Contraseña:</b> admin</p>
                </div>
                <?= $this->Form->create(null, ['class' => 'user']); ?>
                  <div class="form-group">
                    <?= $this->Form->control('username', [
                          'class' => 'form-control form-control-user', 
                          'placeholder' => 'Usuario',
                          'label' => false
                        ]) ?>
                  </div>
                  <div class="form-group">
                    <?= $this->Form->control('password', [
                          'class' => 'form-control form-control-user', 
                          'placeholder' => 'Contraseña',
                          'label' => false
                        ]) ?>
                  </div>
                  <?= $this->Form->button('Ingresar', ['class' => 'btn btn-success btn-user btn-block']) ?>
                <?= $this->Form->end(); ?>
                <hr>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>

  </div>

</div>

src/Template/Admin/Users/view.ctp
<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>

<div class="users">
    <h3><?= h($user->profile->name) ?></h3>
    <div class="row">
        <div class="col-lg-6">
            <table class="vertical-table">
                <tr>
                    <th scope="row"><?= __('Correo') ?></th>
                    <td><?= h($user->email) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Usuario') ?></th>
                    <td><?= h($user->username) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Documento') ?></th>
                    <td><?= $this->Number->format($user->id) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Ingresó el día') ?></th>
                    <td><?= h($user->profile->date) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Retirado el día') ?></th>
                    <td><?= h($user->profile->exitdate) ?></td>
                </tr>
            </table>        
        </div>
        <div class="col-lg-6">
            <table class="vertical-table">
                <tr>
                    <th scope="row"><?= __('Nombres') ?></th>
                    <td><?= h($user->profile->first_name) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Apellidos') ?></th>
                    <td><?= h($user->profile->last_name) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Profesión') ?></th>
                    <td><?= h($user->profile->career) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Cargo') ?></th>
                    <td><?= h($user->profile->position) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Salario') ?></th>
                    <td class="price"><?= h($user->profile->salary) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('EPS') ?></th>
                    <td><?= h($user->profile->health->title) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Pensiones') ?></th>
                    <td><?= h($user->profile->pension->title) ?></td>
                </tr>
                <tr>
                    <th scope="row"><?= __('Cesantías') ?></th>
                    <td><?= h($user->profile->layoff->title) ?></td>
                </tr>
            </table>        
        </div>
    </div>
    <hr>
    <?= $this->Html->link('Volver', ['action' => 'index'], ['class' => 'btn btn-default']); ?>
    <?= $this->Html->link('Editar', ['action' => 'edit', $user->id], ['class' => 'btn btn-success']); ?>
</div>